#!/bin/sh 

# Signal handler.
SignalTrap()
{
	echo "Received signal.  Update aborting."
	exit 1
}

# Set Signal Trap
trap SignalTrap INT QUIT TERM ABRT STOP

function exitUpdate
{
	slay APP_SUM
	find /fs/images/ivsu_* -name "*.lst*" -remove!
	find /fs/images/ivsu_* -name "*.tar.gz" -remove!
	sync
	sync

	PAS_DEBUG=/fs/rwdata/fordlogs/pas_debug.log 
	if [[ ! -e  $PAS_DEBUG ]];
	then
		exit 1
	fi

	LANG=$(grep "System.CurrentLanguage=" $PAS_DEBUG | tail -1 | awk -F= '{ print $3 }' | tr -d '[:space:]')
	if [[ -z $LANG ]];
	then
		for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19
		do
			LANG=$(grep "System.CurrentLanguage=" $PAS_DEBUG.${i} | tail -1 | awk -F= '{ print $3 }' | tr -d '[:space:]')
			if [[ ! -z $LANG ]];
			then
				break
			fi
		done
	fi

	if [[ -z $LANG || ! -e /tmp/error.txt ]];
	then
		exit 1
	fi

	ERROR=$(grep $LANG /tmp/error.txt | awk -F= '{ print $2 }')
	
	POPUP_TXT_FILE=/tmp/pop_up.txt
	echo "$ERROR" > $POPUP_TXT_FILE
	chmod 755 /tmp/utserviceutility
	/tmp/utserviceutility popup $POPUP_TXT_FILE
	rm -f $POPUP_TXT_FILE

	while [ -e $1 ]; do
		sleep 1
	done

	shutdown
}

# Check if HW is 3.2
if [[ "$MY" -ne 1850  ]]
then
	exitUpdate $1
fi

exit 0
